Module tdlight.api
Package it.tdlight.jni

# Class TdApi.DeleteChatHistory

java.lang.Object
it.tdlight.jni.TdApi.Object
it.tdlight.jni.TdApi.Function<TdApi.Ok>
it.tdlight.jni.TdApi.DeleteChatHistory

Enclosing class:
  TdApi

public static final class TdApi.DeleteChatHistory extends TdApi.Function<TdApi.Ok>
Deletes all messages in the chat. Use chat.canBeDeletedOnlyForSelf and chat.canBeDeletedForAllUsers fields to find whether and how the method can be applied to the chat.

Returns `Ok`

## Field Summary

Fields
Modifier and Type
Field
Description
`long`
`chatId`
Chat identifier.
`static final int`
`CONSTRUCTOR`
Identifier uniquely determining type of the object.
`boolean`
`removeFromChatList`
Pass true to remove the chat from all chat lists.
`boolean`
`revoke`
Pass true to delete chat history for all users.

## Constructor Summary

Constructors
Constructor
Description
`DeleteChatHistory()`
Deletes all messages in the chat.
`DeleteChatHistory(long chatId, boolean removeFromChatList, boolean revoke)`
Deletes all messages in the chat.
`DeleteChatHistory(DataInput input)`
Deletes all messages in the chat.

## Method Summary

Modifier and Type
Method
Description
`boolean`
`equals(Object o)`
`int`
`getConstructor()`
Returns an identifier uniquely determining type of the object.
`int`
`hashCode()`
`void`
`serialize(DataOutput output)`
Serialize the TDLib class

### Methods inherited from class it.tdlight.jni.TdApi.Function

`toString`

### Methods inherited from class it.tdlight.jni.TdApi.Object

`serialize`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

## Field Details

### chatId

public long chatId
Chat identifier.

### removeFromChatList

public boolean removeFromChatList
Pass true to remove the chat from all chat lists.

### revoke

public boolean revoke
Pass true to delete chat history for all users.

### CONSTRUCTOR

public static final int CONSTRUCTOR
Identifier uniquely determining type of the object.

See Also:
  - Constant Field Values

## Constructor Details

### DeleteChatHistory

public DeleteChatHistory()
Deletes all messages in the chat. Use chat.canBeDeletedOnlyForSelf and chat.canBeDeletedForAllUsers fields to find whether and how the method can be applied to the chat.

Returns `Ok`

### DeleteChatHistory

public DeleteChatHistory(long chatId, boolean removeFromChatList, boolean revoke)
Deletes all messages in the chat. Use chat.canBeDeletedOnlyForSelf and chat.canBeDeletedForAllUsers fields to find whether and how the method can be applied to the chat.

Returns `Ok`

Parameters:
  `chatId` - Chat identifier.
  `removeFromChatList` - Pass true to remove the chat from all chat lists.
  `revoke` - Pass true to delete chat history for all users.

  Returns `Ok`

### DeleteChatHistory

public DeleteChatHistory(DataInput input) throws IOException
Deletes all messages in the chat. Use chat.canBeDeletedOnlyForSelf and chat.canBeDeletedForAllUsers fields to find whether and how the method can be applied to the chat.

Returns `Ok`

Parameters:
  `input` - Serialized input
Throws:
  `IOException` - the deserialization failed

## Method Details

### getConstructor

public int getConstructor()
Description copied from class: `TdApi.Object`
Returns an identifier uniquely determining type of the object.

Specified by:
  `getConstructor` in class `TdApi.Object`
Returns:
  this.CONSTRUCTOR

### serialize

public void serialize(DataOutput output) throws IOException
Serialize the TDLib class

Specified by:
  `serialize` in class `TdApi.Object`
Parameters:
  `output` - output data stream
Throws:
  `IOException` - the serialization failed

### equals

public boolean equals(Object o)

Overrides:
  `equals` in class `Object`

### hashCode

public int hashCode()

Overrides:
  `hashCode` in class `Object`